<?php
declare(strict_types=1);

namespace App\Test\TestCase\Model\Table;

use App\Model\Table\PageContentsTable;
use Cake\TestSuite\TestCase;

/**
 * App\Model\Table\PageContentsTable Test Case
 */
class PageContentsTableTest extends TestCase
{
    /**
     * Test subject
     *
     * @var \App\Model\Table\PageContentsTable
     */
    protected $PageContents;

    /**
     * Fixtures
     *
     * @var array<string>
     */
    protected $fixtures = [
        'app.PageContents',
        'app.Menus',
        'app.Contents',
    ];

    /**
     * setUp method
     *
     * @return void
     */
    protected function setUp(): void
    {
        parent::setUp();
        $config = $this->getTableLocator()->exists('PageContents') ? [] : ['className' => PageContentsTable::class];
        $this->PageContents = $this->getTableLocator()->get('PageContents', $config);
    }

    /**
     * tearDown method
     *
     * @return void
     */
    protected function tearDown(): void
    {
        unset($this->PageContents);

        parent::tearDown();
    }

    /**
     * Test validationDefault method
     *
     * @return void
     * @uses \App\Model\Table\PageContentsTable::validationDefault()
     */
    public function testValidationDefault(): void
    {
        $this->markTestIncomplete('Not implemented yet.');
    }

    /**
     * Test buildRules method
     *
     * @return void
     * @uses \App\Model\Table\PageContentsTable::buildRules()
     */
    public function testBuildRules(): void
    {
        $this->markTestIncomplete('Not implemented yet.');
    }
}
